﻿//Target:Winform

using System;
using System.Reflection;

[assembly: AssemblyTitle("Let RTF text in clipboard to pure text")]
[assembly: AssemblyCopyright("Copyright © V 2016")]
[assembly: AssemblyVersion("1.0.0.0")]
[assembly: AssemblyFileVersion("1.0.0.0")]

namespace ClipboardPureText
{
    internal static class Program
    {
        [STAThread] // for Clipboard
        private static void Main()
        {
            var winform = Assembly.Load("System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089");
            var clipboard = winform.GetType("System.Windows.Forms.Clipboard");
            const BindingFlags flags = BindingFlags.Static | BindingFlags.Public | BindingFlags.InvokeMethod;
            var text = clipboard.InvokeMember("GetText", flags, null, null, null);
            clipboard.InvokeMember("SetText", flags, null, null, new[] { text });
        }
    }
}